Retry Mobility Migrations

Retry Mobility Migrations
Retry one or more failed and cancelled migration(s).

Retry one or more failed and cancelled migration(s).

Request
URI
POST
https://{server}/hybridity/api/mobility/migrations/retry
COPY
Request Body

Array of objects containing migrationId and migrationGroupId.

retryMigrationRequest of type(s) application/json
Required
{
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string"
        }
    ]
}
array of object
items
Optional

items

Authentication
This operation uses the following authentication methods.
Responses
200

ok

Returns retryMigrationResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "retryOfMigrationId": "string",
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


400

Bad Request

Returns retryMigrationResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "retryOfMigrationId": "string",
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/migrations/retry